


<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html id="htmlId">
<head>
  <title>Coverage Report :: UpdateCompanyCommand</title>
  <style type="text/css">
    @import "../../.css/coverage.css";
  </style>
</head>

<body>
<div class="header"></div>

<div class="content">
<div class="breadCrumbs">
    [ <a href="../../index.html">all classes</a> ]
    [ <a href="../index.html">com.dema.timeregistration.application.command</a> ]
</div>

<h1>Coverage Summary for Class: UpdateCompanyCommand (com.dema.timeregistration.application.command)</h1>

<table class="coverageStats">
<tr>
  <th class="name">Class</th>
<th class="coverageStat 
">
  Class, %
</th>
<th class="coverageStat 
">
  Method, %
</th>
<th class="coverageStat 
">
  Line, %
</th>
</tr>
<tr>
  <td class="name">UpdateCompanyCommand</td>
<td class="coverageStat">
  <span class="percent">
    0%
  </span>
  <span class="absValue">
    (0/ 1)
  </span>
</td>
<td class="coverageStat">
  <span class="percent">
    0%
  </span>
  <span class="absValue">
    (0/ 6)
  </span>
</td>
<td class="coverageStat">
  <span class="percent">
    0%
  </span>
  <span class="absValue">
    (0/ 14)
  </span>
</td>
</tr>

</table>

<br/>
<br/>


<div class="sourceCode"><i>1</i>&nbsp;package com.dema.timeregistration.application.command;
<i>2</i>&nbsp;
<i>3</i>&nbsp;import com.dema.timeregistration.Utils;
<i>4</i>&nbsp;import com.dema.timeregistration.application.*;
<i>5</i>&nbsp;import com.dema.timeregistration.service.AdministratorService;
<i>6</i>&nbsp;import com.dema.timeregistration.service.models.UpdateCompanyRequest;
<i>7</i>&nbsp;
<i>8</i>&nbsp;import java.util.Set;
<i>9</i>&nbsp;
<i>10</i>&nbsp;public class UpdateCompanyCommand implements Command {
<i>11</i>&nbsp;    private final AdministratorService administratorService;
<i>12</i>&nbsp;    private final ApplicationContext applicationContext;
<i>13</i>&nbsp;
<b class="nc"><i>14</i>&nbsp;    public UpdateCompanyCommand(AdministratorService administratorService, ApplicationContext applicationContext) {</b>
<b class="nc"><i>15</i>&nbsp;        this.administratorService = administratorService;</b>
<b class="nc"><i>16</i>&nbsp;        this.applicationContext = applicationContext;</b>
<b class="nc"><i>17</i>&nbsp;    }</b>
<i>18</i>&nbsp;
<i>19</i>&nbsp;    @Override
<i>20</i>&nbsp;    public String getDocumentation() {
<b class="nc"><i>21</i>&nbsp;        return &quot;Change the name of a company. The command has following parameters:\n-o for old company name\n-n&quot; +</b>
<i>22</i>&nbsp;                &quot; for new company name\nExample of usage:\nupdate-company -o \&quot;Old Company Name\&quot; -n \&quot;New Company Name\&quot;&quot;;
<i>23</i>&nbsp;    }
<i>24</i>&nbsp;
<i>25</i>&nbsp;    @Override
<i>26</i>&nbsp;    public String getKeyword() {
<b class="nc"><i>27</i>&nbsp;        return &quot;update-company&quot;;</b>
<i>28</i>&nbsp;    }
<i>29</i>&nbsp;
<i>30</i>&nbsp;    @Override
<i>31</i>&nbsp;    public CommandGroup getCommandGroup() {
<b class="nc"><i>32</i>&nbsp;        return CommandGroup.ADMIN;</b>
<i>33</i>&nbsp;    }
<i>34</i>&nbsp;
<i>35</i>&nbsp;    @Override
<i>36</i>&nbsp;    public Set&lt;Parameter&gt; getParameters() {
<b class="nc"><i>37</i>&nbsp;        return Utils.newHashSet(</b>
<i>38</i>&nbsp;                new Parameter(&quot;o&quot;),
<i>39</i>&nbsp;                new Parameter(&quot;n&quot;, false)
<i>40</i>&nbsp;        );
<i>41</i>&nbsp;    }
<i>42</i>&nbsp;
<i>43</i>&nbsp;    @Override
<i>44</i>&nbsp;    public void doCommand(ParsedCommand parsedCommand) throws Exception {
<b class="nc"><i>45</i>&nbsp;        UpdateCompanyRequest request = new UpdateCompanyRequest();</b>
<i>46</i>&nbsp;
<b class="nc"><i>47</i>&nbsp;        request.setId(administratorService.getCompanyId(parsedCommand.get(&quot;o&quot;)));</b>
<b class="nc"><i>48</i>&nbsp;        parsedCommand.getOptional(&quot;n&quot;).ifPresent(request::setName);</b>
<b class="nc"><i>49</i>&nbsp;        administratorService.updateCompany(request, applicationContext.getUserContextOrThrow());</b>
<i>50</i>&nbsp;
<b class="nc"><i>51</i>&nbsp;        System.out.println(&quot;The company was updated successfully&quot;);</b>
<b class="nc"><i>52</i>&nbsp;    }</b>
<i>53</i>&nbsp;}
</div>
</div>

<div class="footer">
    
    <div style="float:right;">generated on 2019-05-13 13:51</div>
</div>
</body>
</html>
